### Function

# Dex file_enumerator_next_files

#### Declaration [src]

    DexFuture*
    dex_file_enumerator_next_files (
      GFileEnumerator* file_enumerator,
      int num_files,
      int io_priority
    )

#### Description [src]

Wraps `g_file_enumerator_next_files_async()`.

Use `dex_await_boxed()` to await for the result of this function.

#### Parameters

`file_enumerator`

  Type: `GFileEnumerator`

  No description available.

  The data is owned by the caller of the function.

`num_files`

  Type: `int`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GList` of `GFileInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.